summaryrefslogtreecommitdiff
path: root/Meta/check-ak-test-files.sh
diff options
context:
space:
mode:
authorMandar Kulkarni <kulkarnimandar1993@gmail.com>2021-08-05 15:31:41 +0530
committerAndreas Kling <kling@serenityos.org>2021-08-05 19:58:55 +0200
commit566702ffa2cb8caac5f7185a6f5c63959e0e6742 (patch)
tree3bf0f5e5d4ca30dc47267a457862322b5611f14b /Meta/check-ak-test-files.sh
parent6c345c8107bef3bcb81dcb303b0d0b7e126f04b1 (diff)
downloadserenity-566702ffa2cb8caac5f7185a6f5c63959e0e6742.zip
Meta: Fix wrong path for AK Tests in check-ak-test-files.sh
Diffstat (limited to 'Meta/check-ak-test-files.sh')
-rwxr-xr-xMeta/check-ak-test-files.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/Meta/check-ak-test-files.sh b/Meta/check-ak-test-files.sh
index f73c05feb2..0ac82bd958 100755
--- a/Meta/check-ak-test-files.sh
+++ b/Meta/check-ak-test-files.sh
@@ -9,16 +9,16 @@ MISSING_FILES=n
while IFS= read -r FILENAME; do
# Simply search whether the CMakeLists.txt *ever* mention the test files.
- if ! grep -qP "${FILENAME}" AK/Tests/CMakeLists.txt ; then
+ if ! grep -qP "${FILENAME}" Tests/AK/CMakeLists.txt ; then
echo "Tests/AK/CMakeLists.txt is missing the test file ${FILENAME}"
MISSING_FILES=y
fi
done < <(
- git ls-files 'Test/AK/Test*.cpp' | xargs -i basename {}
+ git ls-files 'Tests/AK/Test*.cpp' | xargs -i basename {}
)
if [ "n" != "${MISSING_FILES}" ] ; then
- echo "Some files are missing from the AK/Tests/CMakeLists.txt."
+ echo "Some files are missing from the Tests/AK/CMakeLists.txt."
echo "If a new test file is being added, ensure it is in the CMakeLists.txt."
echo "This ensures the new tests are always run."
exit 1